From 421041e7cd1bce8952756e60a0dd428f1618d75a Mon Sep 17 00:00:00 2001
From: Carl Eugen Hoyos <ce.hoyos@grassfish.com>
Date: Sun, 11 Sep 2022 16:02:09 +0200
Subject: [PATCH] lavc/x86/simple_idct: Fix linking shared libavcodec with MS
 link.exe

link.exe hangs on empty simple_idct.o

Fixes ticket #9909.
---
 libavcodec/x86/simple_idct.asm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libavcodec/x86/simple_idct.asm b/libavcodec/x86/simple_idct.asm
index dcf0da6df1..982b2f0bbb 100644
--- a/libavcodec/x86/simple_idct.asm
+++ b/libavcodec/x86/simple_idct.asm
@@ -25,9 +25,9 @@
 
 %include "libavutil/x86/x86util.asm"
 
-%if ARCH_X86_32
 SECTION_RODATA
 
+%if ARCH_X86_32
 cextern pb_80
 
 wm1010: dw 0, 0xffff, 0, 0xffff
-- 
2.17.1

